# jorgeguijarrodelnuevo_tema13_ejercicio1 - Operaciones Matemáticas

Un módulo de Python simple que proporciona operaciones matemáticas básicas: suma, resta, multiplicación y división.

## Instalación

```bash
pip install jorgeguijarrodelnuevo_tema13_ejercicio1
```

## Uso

```python
from ejercicio13.operaciones import suma, resta, multiplicacion, division

# Ejemplos de uso
resultado_suma = suma(5, 3)        # 8.0
resultado_resta = resta(10, 4)     # 6.0
resultado_mult = multiplicacion(6, 7)  # 42.0
resultado_div = division(15, 3)    # 5.0
```

## Funciones Disponibles

### suma(a, b)
Realiza la suma de dos números.

**Parámetros:**
- `a`: Primer número
- `b`: Segundo número

**Retorna:**
- `float`: Resultado de la suma

### resta(a, b)
Realiza la resta de dos números.

**Parámetros:**
- `a`: Primer número (minuendo)
- `b`: Segundo número (sustraendo)

**Retorna:**
- `float`: Resultado de la resta

### multiplicacion(a, b)
Realiza la multiplicación de dos números.

**Parámetros:**
- `a`: Primer número
- `b`: Segundo número

**Retorna:**
- `float`: Resultado de la multiplicación

### division(a, b)
Realiza la división de dos números.

**Parámetros:**
- `a`: Primer número (dividendo)
- `b`: Segundo número (divisor)

**Retorna:**
- `float`: Resultado de la división

**Excepciones:**
- `ZeroDivisionError`: Si el divisor es cero

## Ejemplos Completos

```python
from ejercicio13.operaciones import suma, resta, multiplicacion, division

# Operaciones básicas
print(suma(5, 3))           # 8.0
print(resta(10, 4))         # 6.0
print(multiplicacion(6, 7)) # 42.0
print(division(15, 3))      # 5.0

# Con números decimales
print(suma(2.5, 1.5))       # 4.0
print(division(5, 2))       # 2.5

# Manejo de errores
try:
    resultado = division(5, 0)
except ZeroDivisionError as e:
    print(f"Error: {e}")    # Error: No se puede dividir por cero
```

## Desarrollo

### Instalación para desarrollo

```bash
git clone https://github.com/jguijarro11/jorgeguijarrodelnuevo_tema13_ejercicio1.git
cd jorgeguijarrodelnuevo_tema13_ejercicio1
pip install -e .
```

### Ejecutar tests

```bash
python -m pytest tests/
```

## Licencia

Este proyecto está licenciado bajo la Licencia MIT - ver el archivo [LICENSE.txt](LICENSE.txt) para más detalles.

## Autor

Jorge Guijarro

## Versión

1.0.0
