"""
Setup script para el paquete ejercicio13
"""

from setuptools import setup, find_packages

with open("README.md", "r", encoding="utf-8") as fh:
    long_description = fh.read()

with open("LICENSE.txt", "r", encoding="utf-8") as fh:
    license_text = fh.read()

setup(
    name="jorgeguijarrodelnuevo_tema13_ejercicio1",
    version="1.0.0",
    author="Jorge Guijarro",
    author_email="jguijarro11@gmail.com",
    description="Módulo con operaciones matemáticas básicas",
    long_description=long_description,
    long_description_content_type="text/markdown",
    url="https://github.com/jguijarro11/jorgeguijarrodelnuevo_tema13_ejercicio1",
    packages=find_packages(),
    classifiers=[
        "Development Status :: 4 - Beta",
        "Intended Audience :: Developers",
        "License :: OSI Approved :: MIT License",
        "Operating System :: OS Independent",
        "Programming Language :: Python :: 3",
        "Programming Language :: Python :: 3.6",
        "Programming Language :: Python :: 3.7",
        "Programming Language :: Python :: 3.8",
        "Programming Language :: Python :: 3.9",
        "Programming Language :: Python :: 3.10",
        "Programming Language :: Python :: 3.11",
        "Topic :: Scientific/Engineering :: Mathematics",
        "Topic :: Software Development :: Libraries :: Python Modules",
    ],
    python_requires=">=3.6",
    keywords="mathematics, operations, calculator, suma, resta, multiplicacion, division",
    project_urls={
        "Bug Reports": "https://github.com/jguijarro11/jorgeguijarrodelnuevo_tema13_ejercicio1/issues",
        "Source": "https://github.com/jguijarro11/jorgeguijarrodelnuevo_tema13_ejercicio1",
    },
)
